<?php
$tdatadocumentos = array();
$tdatadocumentos[".searchableFields"] = array();
$tdatadocumentos[".ShortName"] = "documentos";
$tdatadocumentos[".OwnerID"] = "";
$tdatadocumentos[".OriginalTable"] = "documentos";


$tdatadocumentos[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatadocumentos[".originalPagesByType"] = $tdatadocumentos[".pagesByType"];
$tdatadocumentos[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatadocumentos[".originalPages"] = $tdatadocumentos[".pages"];
$tdatadocumentos[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatadocumentos[".originalDefaultPages"] = $tdatadocumentos[".defaultPages"];

//	field labels
$fieldLabelsdocumentos = array();
$fieldToolTipsdocumentos = array();
$pageTitlesdocumentos = array();
$placeHoldersdocumentos = array();

if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelsdocumentos["Portuguese(Brazil)"] = array();
	$fieldToolTipsdocumentos["Portuguese(Brazil)"] = array();
	$placeHoldersdocumentos["Portuguese(Brazil)"] = array();
	$pageTitlesdocumentos["Portuguese(Brazil)"] = array();
	$fieldLabelsdocumentos["Portuguese(Brazil)"]["id_doc"] = "ID";
	$fieldToolTipsdocumentos["Portuguese(Brazil)"]["id_doc"] = "";
	$placeHoldersdocumentos["Portuguese(Brazil)"]["id_doc"] = "";
	$fieldLabelsdocumentos["Portuguese(Brazil)"]["titulo"] = "TÍTULO";
	$fieldToolTipsdocumentos["Portuguese(Brazil)"]["titulo"] = "";
	$placeHoldersdocumentos["Portuguese(Brazil)"]["titulo"] = "";
	$fieldLabelsdocumentos["Portuguese(Brazil)"]["descricao"] = "DESCRIÇÃO";
	$fieldToolTipsdocumentos["Portuguese(Brazil)"]["descricao"] = "";
	$placeHoldersdocumentos["Portuguese(Brazil)"]["descricao"] = "";
	$fieldLabelsdocumentos["Portuguese(Brazil)"]["anexo"] = "ANEXO";
	$fieldToolTipsdocumentos["Portuguese(Brazil)"]["anexo"] = "";
	$placeHoldersdocumentos["Portuguese(Brazil)"]["anexo"] = "";
	$fieldLabelsdocumentos["Portuguese(Brazil)"]["nota"] = "NOTA";
	$fieldToolTipsdocumentos["Portuguese(Brazil)"]["nota"] = "";
	$placeHoldersdocumentos["Portuguese(Brazil)"]["nota"] = "";
	$fieldLabelsdocumentos["Portuguese(Brazil)"]["usuario"] = "USUÁRIO";
	$fieldToolTipsdocumentos["Portuguese(Brazil)"]["usuario"] = "";
	$placeHoldersdocumentos["Portuguese(Brazil)"]["usuario"] = "";
	if (count($fieldToolTipsdocumentos["Portuguese(Brazil)"]))
		$tdatadocumentos[".isUseToolTips"] = true;
}


	$tdatadocumentos[".NCSearch"] = true;



$tdatadocumentos[".shortTableName"] = "documentos";
$tdatadocumentos[".nSecOptions"] = 0;

$tdatadocumentos[".mainTableOwnerID"] = "";
$tdatadocumentos[".entityType"] = 0;
$tdatadocumentos[".connId"] = "doccontrol_at_localhost";


$tdatadocumentos[".strOriginalTableName"] = "documentos";

	



$tdatadocumentos[".showAddInPopup"] = false;

$tdatadocumentos[".showEditInPopup"] = false;

$tdatadocumentos[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatadocumentos[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatadocumentos[".listAjax"] = false;
//	temporary
$tdatadocumentos[".listAjax"] = false;

	$tdatadocumentos[".audit"] = false;

	$tdatadocumentos[".locking"] = false;


$pages = $tdatadocumentos[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatadocumentos[".edit"] = true;
	$tdatadocumentos[".afterEditAction"] = 1;
	$tdatadocumentos[".closePopupAfterEdit"] = 1;
	$tdatadocumentos[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatadocumentos[".add"] = true;
$tdatadocumentos[".afterAddAction"] = 1;
$tdatadocumentos[".closePopupAfterAdd"] = 1;
$tdatadocumentos[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatadocumentos[".list"] = true;
}



$tdatadocumentos[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatadocumentos[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatadocumentos[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatadocumentos[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatadocumentos[".printFriendly"] = true;
}



$tdatadocumentos[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatadocumentos[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatadocumentos[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatadocumentos[".isUseAjaxSuggest"] = true;

$tdatadocumentos[".rowHighlite"] = true;





$tdatadocumentos[".ajaxCodeSnippetAdded"] = false;

$tdatadocumentos[".buttonsAdded"] = false;

$tdatadocumentos[".addPageEvents"] = false;

// use timepicker for search panel
$tdatadocumentos[".isUseTimeForSearch"] = false;


$tdatadocumentos[".badgeColor"] = "2F4F4F";


$tdatadocumentos[".allSearchFields"] = array();
$tdatadocumentos[".filterFields"] = array();
$tdatadocumentos[".requiredSearchFields"] = array();

$tdatadocumentos[".googleLikeFields"] = array();
$tdatadocumentos[".googleLikeFields"][] = "id_doc";
$tdatadocumentos[".googleLikeFields"][] = "titulo";
$tdatadocumentos[".googleLikeFields"][] = "descricao";
$tdatadocumentos[".googleLikeFields"][] = "anexo";
$tdatadocumentos[".googleLikeFields"][] = "nota";
$tdatadocumentos[".googleLikeFields"][] = "usuario";



$tdatadocumentos[".tableType"] = "list";

$tdatadocumentos[".printerPageOrientation"] = 0;
$tdatadocumentos[".nPrinterPageScale"] = 100;

$tdatadocumentos[".nPrinterSplitRecords"] = 40;

$tdatadocumentos[".geocodingEnabled"] = false;










$tdatadocumentos[".pageSize"] = 20;

$tdatadocumentos[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatadocumentos[".strOrderBy"] = $tstrOrderBy;

$tdatadocumentos[".orderindexes"] = array();


$tdatadocumentos[".sqlHead"] = "SELECT id_doc,  	titulo,  	descricao,  	anexo,  	nota,  	usuario";
$tdatadocumentos[".sqlFrom"] = "FROM documentos";
$tdatadocumentos[".sqlWhereExpr"] = "";
$tdatadocumentos[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatadocumentos[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatadocumentos[".arrGroupsPerPage"] = $arrGPP;

$tdatadocumentos[".highlightSearchResults"] = true;

$tableKeysdocumentos = array();
$tableKeysdocumentos[] = "id_doc";
$tdatadocumentos[".Keys"] = $tableKeysdocumentos;


$tdatadocumentos[".hideMobileList"] = array();




//	id_doc
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id_doc";
	$fdata["GoodName"] = "id_doc";
	$fdata["ownerTable"] = "documentos";
	$fdata["Label"] = GetFieldLabel("documentos","id_doc");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id_doc";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id_doc";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadocumentos["id_doc"] = $fdata;
		$tdatadocumentos[".searchableFields"][] = "id_doc";
//	titulo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "titulo";
	$fdata["GoodName"] = "titulo";
	$fdata["ownerTable"] = "documentos";
	$fdata["Label"] = GetFieldLabel("documentos","titulo");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "titulo";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "titulo";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadocumentos["titulo"] = $fdata;
		$tdatadocumentos[".searchableFields"][] = "titulo";
//	descricao
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "descricao";
	$fdata["GoodName"] = "descricao";
	$fdata["ownerTable"] = "documentos";
	$fdata["Label"] = GetFieldLabel("documentos","descricao");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "descricao";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "descricao";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text area");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;

	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadocumentos["descricao"] = $fdata;
		$tdatadocumentos[".searchableFields"][] = "descricao";
//	anexo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "anexo";
	$fdata["GoodName"] = "anexo";
	$fdata["ownerTable"] = "documentos";
	$fdata["Label"] = GetFieldLabel("documentos","anexo");
	$fdata["FieldType"] = 201;

	
	
	
			

		$fdata["strField"] = "anexo";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "anexo";

		$fdata["DeleteAssociatedFile"] = true;

	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Document Download");

	
	
	
						$vdata["ShowFileSize"] = true;
			$vdata["ShowIcon"] = true;
		
	
	
	
	
	
	
	
		
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Document upload");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadocumentos["anexo"] = $fdata;
		$tdatadocumentos[".searchableFields"][] = "anexo";
//	nota
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "nota";
	$fdata["GoodName"] = "nota";
	$fdata["ownerTable"] = "documentos";
	$fdata["Label"] = GetFieldLabel("documentos","nota");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "nota";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "nota";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text area");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;

	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadocumentos["nota"] = $fdata;
		$tdatadocumentos[".searchableFields"][] = "nota";
//	usuario
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "usuario";
	$fdata["GoodName"] = "usuario";
	$fdata["ownerTable"] = "documentos";
	$fdata["Label"] = GetFieldLabel("documentos","usuario");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "usuario";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "usuario";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "usuarios";
		$edata["listPageId"] = "list";
		$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 2;

	
		
	$edata["LinkField"] = "id_usuario";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "nome";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
	
// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadocumentos["usuario"] = $fdata;
		$tdatadocumentos[".searchableFields"][] = "usuario";


$tables_data["documentos"]=&$tdatadocumentos;
$field_labels["documentos"] = &$fieldLabelsdocumentos;
$fieldToolTips["documentos"] = &$fieldToolTipsdocumentos;
$placeHolders["documentos"] = &$placeHoldersdocumentos;
$page_titles["documentos"] = &$pageTitlesdocumentos;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["documentos"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["documentos"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_documentos()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id_doc,  	titulo,  	descricao,  	anexo,  	nota,  	usuario";
$proto0["m_strFrom"] = "FROM documentos";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id_doc",
	"m_strTable" => "documentos",
	"m_srcTableName" => "documentos"
));

$proto6["m_sql"] = "id_doc";
$proto6["m_srcTableName"] = "documentos";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "titulo",
	"m_strTable" => "documentos",
	"m_srcTableName" => "documentos"
));

$proto8["m_sql"] = "titulo";
$proto8["m_srcTableName"] = "documentos";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "descricao",
	"m_strTable" => "documentos",
	"m_srcTableName" => "documentos"
));

$proto10["m_sql"] = "descricao";
$proto10["m_srcTableName"] = "documentos";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "anexo",
	"m_strTable" => "documentos",
	"m_srcTableName" => "documentos"
));

$proto12["m_sql"] = "anexo";
$proto12["m_srcTableName"] = "documentos";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "nota",
	"m_strTable" => "documentos",
	"m_srcTableName" => "documentos"
));

$proto14["m_sql"] = "nota";
$proto14["m_srcTableName"] = "documentos";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "usuario",
	"m_strTable" => "documentos",
	"m_srcTableName" => "documentos"
));

$proto16["m_sql"] = "usuario";
$proto16["m_srcTableName"] = "documentos";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto18=array();
$proto18["m_link"] = "SQLL_MAIN";
			$proto19=array();
$proto19["m_strName"] = "documentos";
$proto19["m_srcTableName"] = "documentos";
$proto19["m_columns"] = array();
$proto19["m_columns"][] = "id_doc";
$proto19["m_columns"][] = "titulo";
$proto19["m_columns"][] = "descricao";
$proto19["m_columns"][] = "anexo";
$proto19["m_columns"][] = "nota";
$proto19["m_columns"][] = "usuario";
$obj = new SQLTable($proto19);

$proto18["m_table"] = $obj;
$proto18["m_sql"] = "documentos";
$proto18["m_alias"] = "";
$proto18["m_srcTableName"] = "documentos";
$proto20=array();
$proto20["m_sql"] = "";
$proto20["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto20["m_column"]=$obj;
$proto20["m_contained"] = array();
$proto20["m_strCase"] = "";
$proto20["m_havingmode"] = false;
$proto20["m_inBrackets"] = false;
$proto20["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto20);

$proto18["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto18);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="documentos";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_documentos = createSqlQuery_documentos();


	
		;

						

$tdatadocumentos[".sqlquery"] = $queryData_documentos;



$tableEvents["documentos"] = new eventsBase;
$tdatadocumentos[".hasEvents"] = false;

?>